probe::socket.aio_read
Prev | Chapter 14. Socket Tapset | Next

## Name

probe::socket.aio_read — Receiving message via `sock_aio_read`

## Synopsis

    socket.aio_read

## Values

`protocol`

  Protocol value

`family`

  Protocol family value

`flags`

  Socket flags value

`name`

  Name of this probe

`type`

  Socket type value

`state`

  Socket state value

`size`

  Message size in bytes

## Context

The message sender

## Description

Fires at the beginning of receiving a message on a socket via the `sock_aio_read` function

Prev | Up | Next
function::sock_state_str2num | Home | probe::socket.aio_read.return